import { useMemo, useState } from 'react';
import { useContextStore } from './ProstoreContext';
import { useConnectStore } from './useConnectStore';
/**
 * Хук, подключающий компонент к стору
 */
export function useStore(storeOrName) {
    var store = useContextStore(storeOrName);
    var _a = useState(store.state), state = _a[0], setState = _a[1];
    useConnectStore(store, setState);
    return state;
}
/**
 * Хук, подключащий компонент к стору и возвращающий часть состояния
 */
export function useStoreSelect(storeOrName, select) {
    var state = useStore(storeOrName);
    return useMemo(function () { return select(state); }, [select, state]);
}
//# sourceMappingURL=useStore.js.map