"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var ProstoreContext_1 = require("./ProstoreContext");
var useConnectStore_1 = require("./useConnectStore");
/**
 * Хук, подключающий компонент к стору
 */
function useStore(storeOrName) {
    var store = ProstoreContext_1.useContextStore(storeOrName);
    var _a = react_1.useState(store.state), state = _a[0], setState = _a[1];
    useConnectStore_1.useConnectStore(store, setState);
    return state;
}
exports.useStore = useStore;
/**
 * Хук, подключащий компонент к стору и возвращающий часть состояния
 */
function useStoreSelect(storeOrName, select) {
    var state = useStore(storeOrName);
    return react_1.useMemo(function () { return select(state); }, [select, state]);
}
exports.useStoreSelect = useStoreSelect;
//# sourceMappingURL=useStore.js.map